# Uses of Class
org.apache.sysds.runtime.compress.utils.DblArray

Packages that use DblArray
Package
Description
org.apache.sysds.runtime.compress.colgroup.scheme
org.apache.sysds.runtime.compress.readers
org.apache.sysds.runtime.compress.utils

## Uses of DblArray in org.apache.sysds.runtime.compress.colgroup.scheme

Constructors in org.apache.sysds.runtime.compress.colgroup.scheme with parameters of type DblArray
Modifier
Constructor
Description
``
`SDCSchemeMC(IColIndex cols, DblArrayCountHashMap map, DblArray def)`

## Uses of DblArray in org.apache.sysds.runtime.compress.readers

Methods in org.apache.sysds.runtime.compress.readers that return DblArray
Modifier and Type
Method
Description
`final DblArray`
ReaderColumnSelection.`nextRow()`
Gets the next row, null when no more rows.

## Uses of DblArray in org.apache.sysds.runtime.compress.utils

Fields in org.apache.sysds.runtime.compress.utils declared as DblArray
Modifier and Type
Field
Description
`final DblArray`
ACount.DArrCounts.`key`
`final DblArray`
DblArrayIntListHashMap.DArrayIListEntry.`key`
Methods in org.apache.sysds.runtime.compress.utils that return DblArray
Modifier and Type
Method
Description
`final DblArray`
ACount.DArrCounts.`key()`
Methods in org.apache.sysds.runtime.compress.utils that return types with arguments of type DblArray
Modifier and Type
Method
Description
`final ACount<DblArray>`
ACount.DArrCounts.`get(DblArray key)`
Methods in org.apache.sysds.runtime.compress.utils with parameters of type DblArray
Modifier and Type
Method
Description
`void`
DblArrayIntListHashMap.`appendValue(DblArray key, int value)`
`final boolean`
DblArray.`equals(DblArray that)`
`final ACount<DblArray>`
ACount.DArrCounts.`get(DblArray key)`
`IntArrayList`
DblArrayIntListHashMap.`get(DblArray key)`
`final ACount.DArrCounts`
ACount.DArrCounts.`inc(DblArray key, int c, int id)`
Method parameters in org.apache.sysds.runtime.compress.utils with type arguments of type DblArray
Modifier and Type
Method
Description
`final void`
ACount.DArrCounts.`setNext(ACount<DblArray> e)`
Constructors in org.apache.sysds.runtime.compress.utils with parameters of type DblArray
Modifier
Constructor
Description
``
`DArrCounts(DblArray key, int id)`
``
`DArrCounts(DblArray key, int id, int count)`
``
`DblArray(DblArray that)`